<!DOCTYPE html>
<html>
<head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("#myInput").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myTable tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script>
<style>
table {
    font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

td, th {
    border: 1px solid #dddddd;
    text-align: left;
    padding: 8px;
}

tr:nth-child(even) {
    background-color: #dddddd;
}
</style>
</head>
<body>

<h2>List Teman</h2>
<p>Search Friend by NPM, Name, Batch, Email</p>
<input id="myInput" type="text" placeholder="Search..">
<br><br>

<table>
  <thead>
    <tr>
        <th>NPM</th>
        <th>Name</th>
        <th>Batch</th>
        <th>Email</th>
        <th>Skill</th>
        <th>Level</th>
    </tr>
  </thead>
  <tbody id="myTable">
    <tr>
        <td>1406573362</td>
        <td>Annisa Sri Devi</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
     <tr>
        <td>1406599986</td>
        <td>Priya Arif</td>
        <td>2014</td>
        <td>eka.aditya@ui.ac.id</td>
        <td>Machine Learning</td>
        <td>Expert</td>
    </tr>
    <tr>
        <td>1406572990</td>
        <td>Nurfathiya Faradiena A</td>
        <td>2014</td>
        <td>nurfathiyafrdn@gmail.com</td>
        <td>Pure Mathematics Analysis</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406599986</td>
        <td>Eka Aditya Pramudita</td>
        <td>2014</td>
        <td>eka.aditya@ui.ac.id</td>
        <td>Pure Statistic Analysis</td>
        <td>Expert</td>
    </tr>
    <tr>
        <td>1406599985</td>
        <td>Eka Aditya</td>
        <td>2014</td>
        <td>eka.adit@ui.ac.id</td>
        <td>Statistic</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406575361</td>
        <td>Annis</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406576360</td>
        <td>Annisa S</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406577362</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406578362</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406579362</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406570362</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573462</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573562</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573662</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573762</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573862</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406553962</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406563062</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406583062</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406593062</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406503062</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
</tr>
</tbody>
</table>

</body>
</html>
